package com.nivesh.production.niveshfd.fd.ui.providerfactory

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.nivesh.production.niveshfd.fd.repositories.MainRepository
import com.nivesh.production.niveshfd.fd.viewModel.BajajFDViewModel

class FDModelProviderFactory(private val mainRepository: MainRepository) :
    ViewModelProvider.Factory {

    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        return BajajFDViewModel(mainRepository) as T
    }

}